Package org.eclipse.rdf4j.workbench.util

## Class PagedQuery

- java.lang.Object
- - org.eclipse.rdf4j.workbench.util.PagedQuery

-     public class PagedQuery
      extends Object

  Author:
    Dale Visser

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PagedQuery​(String query, QueryLanguage language, int requestLimit, int requestOffset)` | Creates an object that adds or modifies the limit and offset clauses of the query to be executed so that only those results to be displayed are requested from the query engine.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getLimit()` |
    `int` | `getOffset()` |
    `boolean` | `isPaged()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PagedQuery

          public PagedQuery​(String query,
                            QueryLanguage language,
                            int requestLimit,
                            int requestOffset)

      Creates an object that adds or modifies the limit and offset clauses of the query to be executed so that only those results to be displayed are requested from the query engine.

      Implementation note: The new object contains the user's query with appended or modified LIMIT and OFFSET clauses.

      Parameters:
        `query` - as it was specified by the user
        `language` - a `QueryLanguage` as specified by the user
        `requestLimit` - maximum number of results to return, as specified by the URL query parameters or cookies
        `requestOffset` - which result to start at when populating the result set

  - ### Method Detail

    - #### isPaged

          public boolean isPaged()

    - #### getLimit

          public int getLimit()

    - #### getOffset

          public int getOffset()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`